liborigin2: Origin::GraphCurve Struct Reference

liborigin2 29/08/2011

Public Types | Public Attributes | List of all members
Origin::GraphCurve Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | LineConnect { NoLine = 0, Straight = 1, TwoPointSegment = 2, ThreePointSegment = 3, BSpline = 8, Spline = 9, StepHorizontal = 11, StepVertical = 12, StepHCenter = 13, StepVCenter = 14, Bezier = 15 }
enum | LineStyle { Solid = 0, Dash = 1, Dot = 2, DashDot = 3, DashDotDot = 4, ShortDash = 5, ShortDot = 6, ShortDashDot = 7 }
enum | Plot { Line = 200, Scatter =201, LineSymbol =202, Column = 203, Area = 204, HiLoClose = 205, Box = 206, ColumnFloat = 207, Vector = 208, PlotDot = 209, Wall3D = 210, Ribbon3D = 211, Bar3D = 212, ColumnStack = 213, AreaStack = 214, Bar = 215, BarStack = 216, FlowVector = 218, Histogram = 219, MatrixImage = 220, Pie = 225, Contour = 226, Unknown = 230, ErrorBar = 231, TextPlot = 232, XErrorBar = 233, SurfaceColorMap = 236, SurfaceColorFill = 237, SurfaceWireframe = 238, SurfaceBars = 239, Line3D = 240, Text3D = 241, Mesh3D = 242, XYZContour = 243, XYZTriangular = 245, LineSeries = 246, YErrorBar = 254, XYErrorBar = 255, GraphScatter3D = 0x8AF0, GraphTrajectory3D = 0x8AF1, Polar = 0x00020000, SmithChart = 0x00040000, FillArea = 0x00800000 }

## Public Attributes
unsigned char | boxWidth
ColorMap | colorMap
bool | connectSymbols
string | dataName
bool | fillArea
Color | fillAreaColor
unsigned char | fillAreaPattern
Color | fillAreaPatternBorderColor
unsigned char | fillAreaPatternBorderStyle
double | fillAreaPatternBorderWidth
Color | fillAreaPatternColor
double | fillAreaPatternWidth
unsigned char | fillAreaTransparency
unsigned char | fillAreaType
bool | fillAreaWithLineTransparency
bool | hidden
Color | lineColor
unsigned char | lineConnect
unsigned char | lineStyle
unsigned char | lineTransparency
double | lineWidth
PieProperties | pie
unsigned char | pointOffset
SurfaceProperties | surface
Color | symbolColor
Color | symbolFillColor
unsigned char | symbolFillTransparency
double | symbolSize
unsigned char | symbolThickness
unsigned short | symbolType
TextProperties | text
unsigned char | type
VectorProperties | vector
string | xColumnName
string | xDataName
string | yColumnName
string | zColumnName

## Member Enumeration Documentation

## ◆ LineConnect

enum Origin::GraphCurve::LineConnect

Enumerator
NoLine |
Straight |
TwoPointSegment |
ThreePointSegment |
BSpline |
Spline |
StepHorizontal |
StepVertical |
StepHCenter |
StepVCenter |
Bezier |

## ◆ LineStyle

enum Origin::GraphCurve::LineStyle

Enumerator
Solid |
Dash |
Dot |
DashDot |
DashDotDot |
ShortDash |
ShortDot |
ShortDashDot |

## ◆ Plot

enum Origin::GraphCurve::Plot

Enumerator
Line |
Scatter |
LineSymbol |
Column |
Area |
HiLoClose |
Box |
ColumnFloat |
Vector |
PlotDot |
Wall3D |
Ribbon3D |
Bar3D |
ColumnStack |
AreaStack |
Bar |
BarStack |
FlowVector |
Histogram |
MatrixImage |
Pie |
Contour |
Unknown |
ErrorBar |
TextPlot |
XErrorBar |
SurfaceColorMap |
SurfaceColorFill |
SurfaceWireframe |
SurfaceBars |
Line3D |
Text3D |
Mesh3D |
XYZContour |
XYZTriangular |
LineSeries |
YErrorBar |
XYErrorBar |
GraphScatter3D |
GraphTrajectory3D |
Polar |
SmithChart |
FillArea |

## Member Data Documentation

## ◆ boxWidth

unsigned char Origin::GraphCurve::boxWidth

## ◆ colorMap

ColorMap Origin::GraphCurve::colorMap

## ◆ connectSymbols

bool Origin::GraphCurve::connectSymbols

## ◆ dataName

string Origin::GraphCurve::dataName

## ◆ fillArea

bool Origin::GraphCurve::fillArea

## ◆ fillAreaColor

Color Origin::GraphCurve::fillAreaColor

## ◆ fillAreaPattern

unsigned char Origin::GraphCurve::fillAreaPattern

## ◆ fillAreaPatternBorderColor

Color Origin::GraphCurve::fillAreaPatternBorderColor

## ◆ fillAreaPatternBorderStyle

unsigned char Origin::GraphCurve::fillAreaPatternBorderStyle

## ◆ fillAreaPatternBorderWidth

double Origin::GraphCurve::fillAreaPatternBorderWidth

## ◆ fillAreaPatternColor

Color Origin::GraphCurve::fillAreaPatternColor

## ◆ fillAreaPatternWidth

double Origin::GraphCurve::fillAreaPatternWidth

## ◆ fillAreaTransparency

unsigned char Origin::GraphCurve::fillAreaTransparency

## ◆ fillAreaType

unsigned char Origin::GraphCurve::fillAreaType

## ◆ fillAreaWithLineTransparency

bool Origin::GraphCurve::fillAreaWithLineTransparency

## ◆ hidden

bool Origin::GraphCurve::hidden

## ◆ lineColor

Color Origin::GraphCurve::lineColor

## ◆ lineConnect

unsigned char Origin::GraphCurve::lineConnect

## ◆ lineStyle

unsigned char Origin::GraphCurve::lineStyle

## ◆ lineTransparency

unsigned char Origin::GraphCurve::lineTransparency

## ◆ lineWidth

double Origin::GraphCurve::lineWidth

## ◆ pie

PieProperties Origin::GraphCurve::pie

## ◆ pointOffset

unsigned char Origin::GraphCurve::pointOffset

## ◆ surface

SurfaceProperties Origin::GraphCurve::surface

## ◆ symbolColor

Color Origin::GraphCurve::symbolColor

## ◆ symbolFillColor

Color Origin::GraphCurve::symbolFillColor

## ◆ symbolFillTransparency

unsigned char Origin::GraphCurve::symbolFillTransparency

## ◆ symbolSize

double Origin::GraphCurve::symbolSize

## ◆ symbolThickness

unsigned char Origin::GraphCurve::symbolThickness

## ◆ symbolType

unsigned short Origin::GraphCurve::symbolType

## ◆ text

TextProperties Origin::GraphCurve::text

## ◆ type

unsigned char Origin::GraphCurve::type

## ◆ vector

VectorProperties Origin::GraphCurve::vector

## ◆ xColumnName

string Origin::GraphCurve::xColumnName

## ◆ xDataName

string Origin::GraphCurve::xDataName

## ◆ yColumnName

string Origin::GraphCurve::yColumnName

## ◆ zColumnName

string Origin::GraphCurve::zColumnName

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h